name: gnupg
version: 2.2.17
release: 1
sources: https://gnupg.org/ftp/gcrypt/gnupg/gnupg-%{version}.tar.bz2

build-dependencies:
	- libgcrypt-dev
	- libassuan-dev
	- libnpth-dev
	- libksba-dev

dependencies:
	- libgpg-error
	- libgcrypt
	- libassuan
	- pkgconf
	- libnpth
	- binutils
	- libksba

@configure
	cd %{name}-%{version}
	make clean
	./configure \
		--enable-gpg-is-gpg2 \
		\
		--disable-gpgsm \
		--disable-scdaemon \
		--disable-dirmngr \
		--disable-doc \
		--disable-gpgtar \
		--disable-wks-tools \
		--disable-selinux-support \
		--disable-exec \
		--disable-photo-viewers \
		--disable-card-support \
		--disable-ccid-driver \
		--disable-dirmngr-auto-start \
		--disable-sqlite \
		--disable-ntbtls \
		--disable-gnutls \
		--disable-ldap \
		--disable-rpath  \
		--disable-nls
