name: libcxx
version: 8.0.1
sources: https://github.com/llvm/llvm-project/releases/download/llvmorg-%{version}/%{name}-%{version}.src.tar.xz

@configure
	mkdir %{name}-%{version}
	cd %{name}-%{version}
	cmake ../%{name}-%{version}.src \
		-DCMAKE_INSTALL_PREFIX=%{prefix} \
		-DCMAKE_BUILD_TYPE=Release \
		-DLIBCXX_HAS_MUSL_LIBC=ON \
		-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
		-DLIBCXX_CXX_ABI=libcxxabi \
		-DCMAKE_C_FLAGS="$CFLAGS"

