name: libipc
version: 0.4.0
release: 1
sources: https://git.karchnu.fr/WeirdOS/libipc/archive/libipc-%{version}.tar.gz

dirname: %{name}
build-dependencies:
	- make
	- scdoc

@configure
	true

# TODO: do not use pandoc, use scdoc instead so we can build the manual too
# Rationale: pandoc is not a priority to package.

@build
	cd %{dirname}
	make libipc
	make src/ipc.h

@install
	cd %{dirname}
	make PREFIX="%{prefix}" DESTDIR="%{pkg}" install
