name: linux
version: 5.2.9
sources:
	- https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-%{version}.tar.xz
	- config
build-dependances:
	- flex

@configure
	cd '%{name}-%{version}'

	cp ../config .config
	make olddefconfig


@install
	cd 'linux-%{version}'
	mkdir -p '%{pkg}/usr' '%{pkg}/boot' '%{pkg}/usr/src'

	cp arch/x86/boot/bzImage '%{pkg}/boot/bzImage-%{version}'
	make headers_install ARCH=x86_64 INSTALL_HDR_PATH='%{pkg}/usr'

	# Installing sources for linux-src.
	make distclean
	cd ..
	# FIXME: Maybe a new extraction would be better?
	mv  'linux-%{version}' '%{pkg}/usr/src'

%split linux-src
	files:
		- /usr/src

