name: syslinux
version: 6.03
sources: https://mirrors.edge.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.gz
dependencies: util-linux
build-dependencies: nasm, linux-dev, util-linux-dev

@build
	cd %{name}-%{version}
	(echo '#include <sys/sysmacros.h>'; cat extlinux/main.c) > main.c.new && \
		mv main.c.new extlinux/main.c
	make efi32 efi64 bios installer

@install
	cd %{name}-%{version}
	make install \
		INSTALLROOT="%{pkg}" \
		EXTLINUXDIR=/boot/extlinux
