name: libexecinfo
version: 1.1
sources:
	- http://distcache.freebsd.org/local-distfiles/itetcu/libexecinfo-%{version}.tar.bz2
	- https://git.alpinelinux.org/aports/plain/main/libexecinfo/10-execinfo.patch
	- https://git.alpinelinux.org/aports/plain/main/libexecinfo/20-define-gnu-source.patch
	- https://git.alpinelinux.org/aports/plain/main/libexecinfo/30-linux-makefile.patch

@build
	cd %{name}-%{version}
	export CFLAGS="${CFLAGS} -fno-omit-frame-pointer"
	make

@install
	cd %{name}-%{version}
	install -D -m755 ./execinfo.h \
		%{pkg}%{prefix}/include/execinfo.h
	install -D -m755 ./stacktraverse.h \
		%{pkg}%{prefix}/include/stacktraverse.h
	install -D -m755 ./libexecinfo.a \
		%{pkg}%{prefix}/lib/libexecinfo.a
	install -D -m755 ./libexecinfo.so.1 \
		%{pkg}%{prefix}/lib/libexecinfo.so.1
	ln -s %{prefix}/lib/libexecinfo.so.1 \
		%{pkg}%{prefix}/lib/libexecinfo.so
