name: plumberd
release: 2
version: 0.0.1
sources: https://git.karchnu.fr/WeirdOS/%{name}/archive/%{name}-%{version}.tar.gz

build-dependencies: ipc.cr, crystal, crystal-dev, make, gc-dev, pcre-dev, musl-dev

# no dependencies since these programs are statically compiled
# dependencies: libipc

dirname: %{name}

@configure
	true

@build
	cd %{dirname}
	make CRFLAGS=--static

@install
	cd %{dirname}
	make PREFIX=%{prefix} DESTDIR="%{pkg}" install


%split websocketd
	files: %{prefix}/bin/websocketd

%split pongd
	files: %{prefix}/bin/pongd

%split pongc
	files: %{prefix}/bin/pongc

%split plumberd
	files: %{prefix}/bin/plumberd

%split tcpc
	files: %{prefix}/bin/tcpc

%split tcpd
	files: %{prefix}/bin/tcpd
